#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xf86-input-evdev
Version		:	2.10.6
Release		:	17.0.10.rel%{?dist}
Summary		:	Xorg X11 evdev input driver

Group		:	User Interface/X Hardware Support

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/freedesktop/xorg-xf86-input-evdev/release

Source0		:	%{name}-%{version}.tar.gz

# Generate source by doing:
# git clone git://anongit.freedesktop.org/libevdev
# cd xf86-input-evdev
# git archive --format=tar --prefix=xf86-input-evdev-2.10.6/ xf86-input-evdev-2.10.6 | gzip > xf86-input-evdev-2.10.6.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libevdev
BuildRequires	:	mtdev
BuildRequires	:	xorg-server
#-----------------------------------------------------------------------------
%description
Generic Linux input driver for the Xorg X server

#-----------------------------------------------------------------------------
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc COPYING README
%{_includedir}/xorg/evdev-properties.h
%{_libdir}/pkgconfig/xorg-evdev.pc
%{_libdir}/xorg/modules/input/*.{la,so}
%{_datadir}/X11/xorg.conf.d/10-evdev.conf
%{_mandir}/man4/*.4.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
